Subject: Re: Sampling Directly and chip burnout
From: [email-masked]
Date: 3 May 92 22:32:33 GMT
Newsgroups: comp.sys.apple2

In article <[email-masked]>, [email-masked] (John Crane) writes:
> Hello Apple II Users !!!!!!!!!
Hello !!!!!!! :-)
> 
> Here is my question ...... Has anyone out there who has been successful at
> doing sampling without additional hardware tell me how you did it so that
> i dont damage my machine

"Sampling directly" is a good way to blow your Ensoniq chip.  (I know: $25
labor, $25+ chip.)  Yes, it's possible, and it works for a while, but the 
chip wasn't designed for that.

If you don't mind putting together a few parts, you can build your own 
adapter, though (explanation follows):

   GS
 Analog
   In ---------------+------------+----+----------||------ >>
                     |            |    |  10-500 microfarad
                    -+-          -+-   +      capacitor        To CD player,
          5V Zener  /_\   Signal /_\   = 1.5V Battery           microphone,
           diode     |    Diode   |    -                           etc.
   GS                |            |    |                     
 Ground -------------+------------+----+------------------ >>

I don't remember the pin connections for Analog In and Ground on the 7-pin
sound connector in the GS.  Others have probably posted them.  If not, write
back and I'll look inside mine.

The Ensoniq is designed to handle 0 to +2.5 Volts.  Most tape and CD players 
produce an output from, say, -1 to +1 volts.  (Or -5 to +5 if you turn it up.)
So the battery boosts this up to within the right range for the IIgs.  The
5V Zener gives protection against brief voltage spikes, like sudden loud 
noises from the microphone.  The signal diode gives protection from the other
end, when the microphone is trying to drive negative voltages (from 
excessively loud noises).  To test this, use AudioZap, HyperStudio, or some
other sound utility which lets you watch the level of the digitized input.
The level should stay steady somewhere in the middle.  Turn the volume all 
the way down on your CD/tape player, press Play, and turn it up until you can 
clearly see the sound moving above and below the middle.

There are ways to improve this, like adding a capacitor in parallel with 
the battery (if the battery is interfering with the sound for some odd reason)
or replacing the given capacitor with a bigger one.  If you're using a 
microphone, you don't need the capacitor, but then you would need to put the
microphone in series with the battery:  Ground-battery-microphone-Analog In,
with the diodes still between Ground and Analog In.  Other comments or
questions, please write to ask...

> 
> Thanks --------------------------------------------------->John Crane  CSUC

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Mark Wistey: [email-masked] (InterNet) | Bicycling, Christ-like living,
Lewis Hall 102, Amherst, MA 01003 (BikeNet)  | Apple II's, Music, & Physics!
Shadowed address: Quad D, MSU (NSE exchange) | "QM:thedreamsthatstuffismadeof"